ODCM(4)

NAME
odcm - On-demand Clock Modulation

SYNOPSIS
odcm0 at cpu0

DESCRIPTION
The odcm driver provides support for changing the duty cycle of a CPU. This is sometimes known as “on-demand clock modulation” (ODCM). Refer to acpicpu(4) for additional details about ODCM.

The following sysctl(8) variables are available with odcm:

machdep.clockmod.target
    The target duty cycle of all CPUs. The values range from 7 (100 %) to 0 (approximately 13 %).

machdep.clockmod.current
    The current duty cycle of CPUs.

machdep.clockmod.available
    A list of available duty cycles.

Note that some errata may limit the availability of some duty cycles.

SEE ALSO
acpicpu(4), x86/est(4), x86/powernow(4)

CAVEATS
ODCM is meant for short-term thermal management, not power management. There is usually no reason for a system administrator to change the values manually. Lowering the duty cycle may dramatically decrease performance and responsiveness of the system.